Reset DCA for a position

POST https://api.cryptohopper.com/v1/hopper/{id}/position/dca/{position_id}/reset

Resets the DCA state of one open position: the DCA count and latest average go back to 0 and DCA is marked as not enabled for that position.

Not available for exchange arbitrage, market maker, copy and grid bots.

Example request

curl -X POST "https://api.cryptohopper.com/v1/hopper/HOPPER_ID/position/dca/POSITION_ID/reset" \
  -H "access-token: YOUR_ACCESS_TOKEN"

Parameters

Headers

NameTypeRequiredDescription
access-token string Required The OAuth access token of the user.

Path parameters

NameTypeRequiredDescription
position_id string Required Open position ID.
id string Required Hopper ID.

Response

Example response (illustrative values)

{
    "data": "DCA has been reset for position with ID: 123456."
}

Status codes: 200. Errors return JSON with status, error and message. See How the API works for response codes and rate limits.